(defproblem problem domain 
  (
    (capacity-predecessor capacity-0 capacity-1)
    (capacity-predecessor capacity-1 capacity-2)
    (road city-loc-0 city-loc-4)
    (road city-loc-1 city-loc-2)
    (road city-loc-1 city-loc-7)
    (road city-loc-2 city-loc-1)
    (road city-loc-2 city-loc-2)
    (road city-loc-2 city-loc-7)
    (road city-loc-3 city-loc-4)
    (road city-loc-3 city-loc-5)
    (road city-loc-3 city-loc-6)
    (road city-loc-4 city-loc-0)
    (road city-loc-4 city-loc-3)
    (road city-loc-4 city-loc-4)
    (road city-loc-5 city-loc-3)
    (road city-loc-5 city-loc-5)
    (road city-loc-5 city-loc-6)
    (road city-loc-5 city-loc-7)
    (road city-loc-6 city-loc-3)
    (road city-loc-6 city-loc-5)
    (road city-loc-6 city-loc-7)
    (road city-loc-7 city-loc-1)
    (road city-loc-7 city-loc-2)
    (road city-loc-7 city-loc-5)
    (road city-loc-7 city-loc-6)
    (at package-0 city-loc-0)
    (at package-1 city-loc-4)
    (at package-2 city-loc-6)
    (at package-3 city-loc-0)
    (at package-4 city-loc-7)
    (at package-5 city-loc-3)
    (at package-6 city-loc-4)
    (at package-7 city-loc-7)
    (at package-8 city-loc-6)
    (at truck-0 city-loc-5)
    (at truck-1 city-loc-4)
    (at truck-2 city-loc-2)
    (capacity truck-0 capacity-2)
    (capacity truck-1 capacity-2)
    (capacity truck-2 capacity-2)
    (type_capacity-number capacity-0)
    (type_capacity-number capacity-1)
    (type_capacity-number capacity-2)
    (type_locatable package-0)
    (type_locatable package-1)
    (type_locatable package-2)
    (type_locatable package-3)
    (type_locatable package-4)
    (type_locatable package-5)
    (type_locatable package-6)
    (type_locatable package-7)
    (type_locatable package-8)
    (type_locatable truck-0)
    (type_locatable truck-1)
    (type_locatable truck-2)
    (type_location city-loc-0)
    (type_location city-loc-1)
    (type_location city-loc-2)
    (type_location city-loc-3)
    (type_location city-loc-4)
    (type_location city-loc-5)
    (type_location city-loc-6)
    (type_location city-loc-7)
    (type_object capacity-0)
    (type_object capacity-1)
    (type_object capacity-2)
    (type_object city-loc-0)
    (type_object city-loc-1)
    (type_object city-loc-2)
    (type_object city-loc-3)
    (type_object city-loc-4)
    (type_object city-loc-5)
    (type_object city-loc-6)
    (type_object city-loc-7)
    (type_object package-0)
    (type_object package-1)
    (type_object package-2)
    (type_object package-3)
    (type_object package-4)
    (type_object package-5)
    (type_object package-6)
    (type_object package-7)
    (type_object package-8)
    (type_object truck-0)
    (type_object truck-1)
    (type_object truck-2)
    (type_package package-0)
    (type_package package-1)
    (type_package package-2)
    (type_package package-3)
    (type_package package-4)
    (type_package package-5)
    (type_package package-6)
    (type_package package-7)
    (type_package package-8)
    (type_sort_for_capacity-0 capacity-0)
    (type_sort_for_capacity-1 capacity-1)
    (type_sort_for_capacity-2 capacity-2)
    (type_sort_for_city-loc-0 city-loc-0)
    (type_sort_for_city-loc-1 city-loc-1)
    (type_sort_for_city-loc-2 city-loc-2)
    (type_sort_for_city-loc-3 city-loc-3)
    (type_sort_for_city-loc-4 city-loc-4)
    (type_sort_for_city-loc-5 city-loc-5)
    (type_sort_for_city-loc-6 city-loc-6)
    (type_sort_for_city-loc-7 city-loc-7)
    (type_sort_for_package-0 package-0)
    (type_sort_for_package-1 package-1)
    (type_sort_for_package-2 package-2)
    (type_sort_for_package-3 package-3)
    (type_sort_for_package-4 package-4)
    (type_sort_for_package-5 package-5)
    (type_sort_for_package-6 package-6)
    (type_sort_for_package-7 package-7)
    (type_sort_for_package-8 package-8)
    (type_sort_for_truck-0 truck-0)
    (type_sort_for_truck-1 truck-1)
    (type_sort_for_truck-2 truck-2)
    (type_vehicle truck-0)
    (type_vehicle truck-1)
    (type_vehicle truck-2)
  )
  ((__top))
)
